---
title: 'mod\_admin\_telnet'
subtitle: Admin Console
---

It is possible to reload the configuration, enable or disable a module,
and take a look at Prosody\'s internals using mod\_admin\_telnet.

# Details

mod\_admin\_telnet allows a telnet connection to be made to the Prosody
server. More detailed information [is available](/doc/console).

By default the telnet console can only be accessed from the same machine
as Prosody. Because there is no authentication, it should not be enabled
on servers that may be accessed by untrusted users.

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "admin_telnet"; -- Enable mod_admin_telnet
    }
```

# Configuration

  Option           Default    Notes
  ---------------- ---------- -------------------------------------------------
  console\_ports   { 5582 }   Which ports to listen on for telnet connections

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "admin_telnet"; -- Enable mod_admin_telnet
    }
 
    console_ports = { 5582, 5583 }
```
