---
title: 'mod\_dialback'
---

Enables server-to-server identity verification using the Dialback
method. This module may be required for server-to-server communication
if your [certificate](/doc/certificates) is untrusted by some remote
servers, or if no TLS is used.

# Details

mod\_dialback implements
[XEP-0220](http://xmpp.org/extensions/xep-0220.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "dialback"; -- Enable mod_dialback
    }
```

# Configuration

  Option              Default         Notes
  ------------------- --------------- ---------------
  `dialback_secret`   Random string   Rarely needed

::: {.alert .alert-danger}
Between 0.10.0 and 0.11.9 a feature to enable Dialback using
certificates could be enabled with `dialback_without_dialback`. However
it was found to have a security issue and was removed in 0.11.9.
**Do not enable this feature.**
:::

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "dialback"; -- Enable mod_dialback
    }
```
