---
title: 'mod\_http\_errors'
---

This module is loaded by [mod\_http](/doc/modules/mod_http) to handle
generation and serving of friendlier HTTP error pages.

  Option                           Type      Default                  Description
  -------------------------------- --------- ------------------------ -----------------------------------------------------------------------------------------
  http\_errors\_detailed           boolean   `false`                  Show detailed errors, eg tracebacks, which may aid in debugging.
  http\_errors\_always\_show       boolean   `true`                   Serve a page when the error does not have a detailed description
  http\_errors\_default\_message   string    `"That's all I know."`   Default message when there\'s none for the current error code in http\_errors\_messages
  http\_errors\_messages           table     See below                Specify messages for various error codes

An example of http\_errors\_messages, showing the default strings,
below:

``` {.code .lua}
http_errors_messages = {
  [400] = { "What kind of request do you call that??" };
  [403] = { "You're not allowed to do that." };
  [404] = { "Whatever you were looking for is not here. %";
    "Where did you put it?", "It's behind you.", "Keep looking." };
  [500] = { "% Check your error log for more info.";
    "Gremlins.", "It broke.", "Don't look at me." };
}
```

If the first string contains an percent (`%`) character, it gets
substituted one of the later strings, picked at random.
