---
title: 'mod\_legacyauth'
---

In the early days of XMPP a custom authentication protocol was used. It is
very simple, but not particularly secure (the password is always sent as plain
text, so make sure you have encryption required).

However some very old clients and bots may not support the newer (SASL) protocol
provided by mod_saslauth. mod\_legacyauth provides support for the old protocol.

# Details

mod\_legacyauth implements
[XEP-0078](http://xmpp.org/extensions/xep-0078.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "legacyauth"; -- Enable mod_legacyauth
    }
```


# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "legacyauth"; -- Enable mod_legacyauth
    }

```
