---
title: 'mod\_offline'
---

This module handles the storage of offline messages to disk, ready to be
delivered to users when the next log in.

mod\_offline is an automatically loaded module. To disable it you need
to add it to modules\_disabled in your config file, see below for
details.

# Details

mod\_offline will implement
[XEP-0160](http://xmpp.org/extensions/xep-0160.html),
[XEP-0203](http://xmpp.org/extensions/xep-0203.html) and
[XEP-0091](http://xmpp.org/extensions/xep-0091.html) for backwards
compatibility with older clients.

# Usage

This module is active by default, and no configuration is required.

## Disabling

To completely disable the module, you must add it to modules\_disabled:

``` {.code .lua}
    modules_disabled = {
       "offline"; -- Disable mod_offline
    }
```

If no other module is loaded to handle offline messages, messages to
offline users will be returned to the sender with a \"service
unavailable\" error.
