---
title: mod_register
---

[Enabling this module](/doc/modules_enabled) allows users to register
new accounts and change passwords.

# Details

mod_register used to implement sevral parts of
[XEP-0077](http://xmpp.org/extensions/xep-0077.html), including user
password change and registration limitations.

It has been split these into 3 modules:

-   [mod_register_ibr](/doc/modules/mod_register_ibr) handles in-band
    account creation
-   [mod_register_limits](/doc/modules/mod_register_limits) handles
    rate-limiting of account creation
-   [mod_user_account_management](/doc/modules/mod_user_account_management)
    handles password change

When enabled, mod_register will in turn enable
mod_user_account_management and if `allow_registration` has been set to
`true`, also mod_register_ibr and
[mod_watchregistrations](/doc/modules/mod_watchregistrations).

# Usage

``` {.code .lua}
modules_enabled = {
    -- Other modules
    "register"; -- Enable mod_register
}
```

# Configuration

  Option               Default   Notes
  -------------------- --------- ------------------------------------------------------------------
  allow_registration   false     Whether to allow registration of new accounts via Jabber clients

# Example

``` {.code .lua}
modules_enabled = {
    -- Other modules
    "register"; -- Enable mod_register
}
 
allow_registration = true -- Allow users to register new accounts
```
