---
abstract: "This module handles XEP-0077: In-Band Registration"
title: mod_register_ibr
---

This module was previously part of
[mod_register](/doc/modules/mod_register) but has been broken out.

[Enabling this module](/doc/modules_enabled) allows users to register
new accounts and change passwords.

# Details

mod_register_ibr implements in-band user account creation per
[XEP-0077](http://xmpp.org/extensions/xep-0077.html).

# Usage

``` {.code .lua}
modules_enabled = {
    -- Other modules
    "register_ibr"; -- Enable mod_register_ibr
}
```

# Configuration

  Option                      Default                                                         Notes
  --------------------------- --------------------------------------------------------------- ---------------------------------------------------
  registration_title          `"Creating a new account"`                                      Title of registration form sent when registering.
  registration_instructions   `"Choose a username and password for use with this service."`   Instructions included in registration form.

# Example

``` {.code .lua}
modules_enabled = {
    -- Other modules
    "register_ibr"; -- enable in-band registration
    "register_limits"; -- apply rate limits
    "watchregistrations"; -- notify admins about registrations
}
 
```
