---
title: 'mod\_version'
---

Allows Prosody to respond to software version requests.

# Details

mod\_version implements
[XEP-0092](http://xmpp.org/extensions/xep-0092.html).

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "version"; -- Enable mod_version
    }
```

# Configuration

  Option                 Default     Notes
  ---------------------- ----------- ---------------------------------------------------------------------------------------------------
  hide\_os\_type         false       Whether to return the type of the operating system in the response
  os\_version\_command   \"uname\"   The command to execute to get the OS type. If unset, the uname() system call will be tried first.

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "version"; -- Enable mod_version
    }
```
