---
title: 'mod\_welcome'
---

Send a custom message to new users.

# Details

In order for this module to do anything
[mod\_register](/doc/modules/mod_register) must be enabled and
configured to allow new registrations.

# Usage

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "welcome"; -- Enable mod_welcome
    }
```

# Configuration

  Option             Default                                                  Notes
  ------------------ -------------------------------------------------------- ---------------------------------------------------------------
  welcome\_message   \"Hello \$username, welcome to the \$host IM server!\"   The message to a new user with variable expansion - see below

## Welcome Message Variables {#welcome_message_variables}

Some variables can be specified in welcome\_message and Prosody will
automatically replace them with the relevant information before sending
the message. The following list assumes a user has registered
new.user\@example.net.

  Variable     Description                    Example
  ------------ ------------------------------ -------------
  \$username   The username of the new user   new.user
  \$host       The host of the new user       example.net

# Example

``` {.code .lua}
    modules_enabled = {
        -- Other modules
        "welcome"; -- Enable mod_welcome
    }
 
    welcome_message = "$host accepts you $username"
```
