---
title: '0.11.6'
---

Released: *2020-09-09*

# Summary

This release brings a collection of fixes and improvements added since the 0.11.5
release improving security, performance, usability and interoperability.

This version continues the deprecation of using prosodyctl to start/stop Prosody
if it is installed system-wide. You should use your init system's appropriate commands
to manage the Prosody process instead. You can silence the warnings with the
'prosodyctl_service_warnings' option. Init scripts should invoke prosody directly
as the correct user, and pass -F or -D depending on whether Prosody should stay
in the foreground or detach (daemonize).

## Changes

Summary of all changes in this release:

## Fixes and improvements

- mod\_storage_internal: Fix error in time limited queries on items without 'when' field, fixes [#1557](https://issues.prosody.im/1557)
- mod\_carbons: Fix handling of incoming MUC PMs [#1540](https://issues.prosody.im/1540)
- mod\_csi_simple: Consider XEP-0353: Jingle Message Initiation important
- mod\_http_files: Avoid using inode in etag, fixes [#1498](https://issues.prosody.im/1498): Fail to download file on FreeBSD
- mod\_admin_telnet: Create a DNS resolver per console session (fixes [#1492](https://issues.prosody.im/1492): Telnet console DNS commands reduced usefulness)
- core.certmanager: Move EECDH ciphers before EDH in default cipherstring (fixes [#1513](https://issues.prosody.im/1513))
- mod\_s2s: Escape invalid XML in logging (same way as mod_c2s) (fixes [#1574](https://issues.prosody.im/1574): Invalid XML input on s2s connection is logged unescaped)
- mod\_muc: Allow control over the server-admins-are-room-owners feature (see [#1174](https://issues.prosody.im/1174))
- mod\_muc_mam: Remove spoofed archive IDs before archiving (fixes [#1552](https://issues.prosody.im/1552): MUC MAM may strip its own archive id)
- mod\_muc_mam: Fix stanza id filter event name, fixes [#1546](https://issues.prosody.im/1546): mod_muc_mam does not strip spoofed stanza ids
- mod\_muc_mam: Fix missing advertising of XEP-0359, fixes [#1547](https://issues.prosody.im/1547): mod_muc_mam does not advertise stanza-id

## Minor changes

- net.http API: Add request:cancel() method
- net.http API: Fix traceback on invalid URL passed to request()
- MUC: Persist affiliation\_data in new MUC format
- mod\_websocket: Fire event on session creation (thanks Aaron van Meerten)
- MUC: Always include 'affiliation'/'role' attributes, defaulting to 'none' if nil
- mod\_tls: Log when certificates are (re)loaded
- mod\_vcard4: Report correct error condition (fixes [#1521](https://issues.prosody.im/1521): mod_vcard4 reports wrong error)
- net.http: Re-expose destroy\_request() function (fixes unintentional API breakage)
- net.http.server: Strip port from Host header in IPv6 friendly way (fix [#1302](https://issues.prosody.im/1302))
- util.prosodyctl: Tell prosody do daemonize via command line flag (fixes [#1514](https://issues.prosody.im/1514))
- SASL: Apply saslprep where necessary, fixes [#1560](https://issues.prosody.im/1560): Login fails if password contains special chars
- net.http.server: Fix reporting of missing Host header
- util.datamanager API: Fix iterating over "users" (thanks marc0s)
- net.resolvers.basic: Default conn\_type to 'tcp' consistently if unspecified (thanks marc0s)
- mod\_storage_sql: Fix check for deletion limits (fixes [#1494](https://issues.prosody.im/1494))
- mod\_admin_telnet: Handle unavailable cipher info (fixes [#1510](https://issues.prosody.im/1510): mod_admin_telnet backtrace)
- Log warning when using prosodyctl start/stop/restart
- core.certmanager: Look for privkey.pem to go with fullchain.pem (fixes [#1526](https://issues.prosody.im/1526))
- mod\_storage_sql: Add index covering sort_id to improve performance (fixes [#1505](https://issues.prosody.im/1505))
- mod\_mam,mod_muc_mam: Allow other work to be performed during archive cleanup (fixes [#1504](https://issues.prosody.im/1504))
- mod\_muc_mam: Don't strip MUC <x> tags, fix [#1567](https://issues.prosody.im/1567): MUC <x> tags stripped by mod_muc_mam
- mod\_pubsub, mod_pep: Ensure correct number of children of <item/> (fixes [#1496](https://issues.prosody.im/1496))
- mod\_register_ibr: Add FORM_TYPE as required by XEP-0077 (fixes [#1511](https://issues.prosody.im/1511))
- mod\_muc_mam: Fix traceback saving message from non-occupant (fixes [#1497](https://issues.prosody.im/1497))
- util.startup: Remove duplicated initialization of logging (fix [#1527](https://issues.prosody.im/1527): startup: Logging initialized twice)


## Download

As usual, download instructions for many platforms can be found on our [download page](https://prosody.im/download)

If you have any questions, comments or other issues with this release, [let us know!](https://prosody.im/discuss)
