---
title: '0.7.0 Release Notes'
---

*Released 2010-06-14*

One of the most significant changes in Prosody 0.7 is the added support
for [libevent](/doc/libevent), meaning Prosody can efficiently handle
large numbers of connections using epoll, kqueue, and a range of other
mechanisms.

A summary of changes in this new branch:

-   New optional [libevent backend](/doc/libevent)
-   [mod\_proxy65](/doc/modules/mod_proxy65): XEP-0065 SOCKS5
    Bytestreams proxy
-   SASL: Support for [Cyrus SASL backend](/doc/cyrus_sasl) (allows
    LDAP, PAM, ...)
-   SASL: Support for SCRAM-SHA-1 mechanism
-   SASL: Forbid insecure PLAIN authentication on unencrypted
    connections by default
-   Port multiplexing: Allow multiple services on a single port (XMPP,
    HTTP)
-   MUC: Room destruction, and other features/fixes
-   [mod\_compression](/doc/modules/mod_compression): Support stream
    compression between servers now, as well as clients
-   SSL: Disable SSLv2 protocol by default as it is insecure
-   PEP: Support for on-demand item retrieval
-   Errors: Show the reason server-to-server connections fail
-   MUC: Add support for non-anonymous rooms
-   [mod\_bosh](/doc/modules/mod_bosh): Cross-domain (\'proxy-less\')
    request support using [CORS](http://www.w3.org/TR/cors/).
-   [mod\_privacy](/doc/modules/mod_privacy): XEP-0016: Privacy Lists
-   MUC: Show precise error when users are kicked from rooms

Feedback is always welcome, and you can give it or find Prosody support
via any of the means listed on <http://prosody.im/discuss>

Work is already well underway on the [0.8
branch](http://hg.prosody.im/trunk), where we are working on pluggable
authentication and storage providers, among other things. To get
involved with the development or testing of the next major release,
contact us at the link above!
