---
abstract: Prosody is a Jabber/XMPP server written in Lua
keywords: XMPP, Jabber, server, Lua, daemon
pagetitle: Welcome
toc: false
---

::: jumbotron
# ![Logo here](prosody) Prosŏdy IM

::: container
::: row
::: col-md-3
## [Download](/download)

![Optical disk in a box shaped like an arrow](download_software) Have a
great Jabber/XMPP server up in minutes!
:::

::: col-md-3
## [Documentation](/doc)

![A notepad with a question mark on](documentation)
[Configuration](/doc/configure), [FAQs](/doc/faq)... or [browse](/doc)
the available documentation.
:::

::: col-md-3
## [Development](/doc/developers)

![A hammer](hammer) [Report bugs](/bugs/), check out the [source
code](/source/) and [developer documentation](/doc/developers/)
documentation.
:::

::: col-md-3
## [Community](/discuss)

![Speech bubbles](community) Join our [mailing
lists](/discuss#mailing_lists), [chat room](/discuss#chatroom) and
follow our [blog](//blog.prosody.im/).
:::
:::
:::
:::

::: row
::: col-sm-6
# What is Prosody? {#what}

Prosody is a [modern](https://modernxmpp.org/) [XMPP](https://xmpp.org/)
communication server. It aims to be easy to set up and configure, and
efficient with system resources. Additionally, for developers it aims to
be easy to extend and give a flexible system on which to rapidly develop
added functionality, or prototype new protocols.

Prosody is open-source software under the permissive [MIT/X11
license](/source/mit).

## What is an XMPP server? {#xmpp}

[XMPP](/doc/xmpp) is an open and free alternative to commercial
messaging and chat providers. Set it up for your company, organisation,
or just your family and friends. You are in control, and your
communication is private to you. Supporting a wide range of client
software for desktop and mobile platforms, you can chat using Prosody
from any device.

In addition, your Prosody can [link up with](/doc/s2s) other Prosody
installations and other XMPP-compatible services to form an open
communication network, whilst allowing everyone full control over who
they connect to, and who they share data with.
:::

::: {.col-sm-6 .news}
# Latest News {#news}

-   **2022-01-24:** Prosody 0.11.13 has been released and is now available for [download](/download)! See our [release announcement](//blog.prosody.im/prosody-0.11.13-released/) for more info.


-   **2022-01-13:** Prosody 0.11.12 has been released and is now available for [download](/download)! See our [release announcement](//blog.prosody.im/prosody-0.11.12-released/) for more info.


-   **2021-12-20:** Prosody 0.11.11 has been released and is now
    available for [download](/download)! See our [release
    announcement](https://blog.prosody.im/prosody-0.11.11-released/) for more
    info.

-   **2021-08-03:** Prosody 0.11.10 has been released and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.10-released/) for more
    info.

-   **2021-05-13:** Prosody 0.11.9 has been released and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.9-released/) for more
    info.

-   **2021-02-15:** Prosody 0.11.8 has been released and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.8-released/) for more
    info.

-   **2020-10-01:** Prosody 0.11.7 has been released and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.7-released/) for more
    info.

-   **2020-09-09:** Prosody 0.11.6 has been released and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.6-released/) for more
    info.

-   **2020-03-24:** Prosody 0.11.5 has been released and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.5-released/) for more
    info.

-   **2020-01-18:** Prosody 0.11.4 has been released, and is now
    available for [download](/download)! See our [release
    announcement](//blog.prosody.im/prosody-0.11.4-released/) for more
    info.
:::

::: {.col-sm-12 .prosody-sponsors}
# Sponsors

[![Bytemark](bytemark)](https://bytemark.co.uk/)
:::
:::
